import bpy
from bpy.types import Menu


class VIEW3D_MT_PIE_PolysweeperPM(Menu):
    bl_label = "PS PIE MENU"
    def draw(self, context):
        layout = self.layout

        pie = layout.menu_pie()
        
        #1 WEST
        #pie.prop(context.scene.ps_curve_props, "use_curve_profile")   
        #2 EST
        pie.operator("polysweeper.set_profile_obj", text="select profile face")
        #3 SOUTH
        pie.operator("mesh.ps_extruder_op")
        #4 NORD
        pie.operator("mesh.ps_sweeper")
        #5 N-W
        pie.split()
        #pie.prop(context.scene.ps_curve_props, "sweep_ramp")
        #6 N-E
        pie.prop(context.scene.ps_props, "profile_OBJ")
        #7 S-W
        pie.split()
        #pie.prop(context.scene.ps_curve_props, "go_math")
        #8 S-E
        pie.split()
        #pie.prop(context.scene.ps_props, "dashed_sweep")
        
